## About

Before the mainnet council is chosen, it is important to have everything as ready as possible. However, there are still a few points that need to be discussed further within the community, such as the initial composition of the Working Groups and the initial salaries. To move forward on this, I have put forth my ideas on these matters below. This can be the first step in resolving the issues. 

I intentionally suggest some working groups not fully staffed in the first mainnet term, as the process will be rolled out gradually. 
The salaries for this first term may seem a bit rough and may be subject to change later based on the new scoring system (WIP).

## Composition
![WG composition](https://i.imgur.com/Y32t7ql.png)

## Lead Job Description
- [Storage WG Lead](https://github.com/0x2bc/community-repo/blob/master/community-roadmap/LeadsJD.md#storage-wg-lead)
- [Distribution WG Lead](https://github.com/0x2bc/community-repo/blob/master/community-roadmap/LeadsJD.md#distribution-wg-lead)  
- [Builders WG Lead](https://github.com/0x2bc/community-repo/blob/master/community-roadmap/LeadsJD.md#builders-wg-lead)
- [HR WG Lead](https://github.com/0x2bc/community-repo/blob/master/community-roadmap/LeadsJD.md#hr-working-group-lead) 
- [Forum WG Lead](https://github.com/0x2bc/community-repo/blob/master/community-roadmap/LeadsJD.md#forum-working-group-lead)
- [Marketing WG Lead](https://github.com/0x2bc/community-repo/blob/master/community-roadmap/LeadsJD.md#marketing-wg-lead)
- [Content Curator WG Lead](https://github.com/0x2bc/community-repo/blob/master/community-roadmap/LeadsJD.md#content-curator-wg-lead)
- [Gateways WG Lead](https://github.com/0x2bc/community-repo/blob/master/community-roadmap/LeadsJD.md#gateways)

## Salaries

#### Key principles:
- Salaries are based on the [JSG's inputs](https://gist.github.com/bedeho/1b231111596e25b215bc66f0bd0e7ccc) and my own market sense 
- Salaries are to be paid in JOY equivalent by the rate of 0.06 USD/JOY (assuming no exchange in 1st term)
- Let's keep a smaller number of participants across the board. Have a greater reliance on people who devote a large share of their time. Maintain a much smaller change, over time, in the set of people involved.
- Council members will combine or heavily assist the lead/workers roles in the beginning
- Council will continue to experiment with salaries during the first term and will develop a more reliable compensation system in the second or third term
- JSG [recommended](https://gist.github.com/bedeho/1b231111596e25b215bc66f0bd0e7ccc#budgets--spending-and-inflation) to spend as little as 10k USD per month totally for Content, Membership, Forum, HR, Marketing WGs during the launch period

#### Leads & Council
- Council: 10k USD/month (full-time positions)
- Builders/Storage/Distribution: 5k USD/month + 50USD/hour (for every next working hour exceeding 80hours per month) 
- Content/Membership: council will take these duties
- Forum/HR/Marketing WGs: 50 USD/hour
- Gateway WG: same as Builders WG Lead

``` diff
- A negotiation is currently taking place between Council and @chaos77  
- regarding the rate of story points. These SP could be used to measure 
- the performance of Builders WG.
```

#### Workers
- All WGs (except Storage/Distribution): 40 USD/hour
- Storage/Distribution node runners: 1000 USD/month

## Budget

- [First draft](https://discord.com/channels/811216481340751934/812343711870091285/1052465528834363492) by @chaos77
- Pay attention that not all Builders workers are full-time on the project. As a result,budget of BWG is supposed to be of $20K ~ $30K (not including the lead). More discussion [see here](https://discord.com/channels/811216481340751934/812343711870091285/1052778778331451463).
